]> saetta.ns0.it Git - reptool/greptool/commitdiff
Initial import.
authorAndrea Zagli <azagli@libero.it>
Wed, 25 Apr 2007 09:09:12 +0000 (09:09 +0000)
committerAndrea Zagli <azagli@libero.it>
Wed, 25 Apr 2007 09:09:12 +0000 (09:09 +0000)
git-svn-id: svn+ssh://saetta.homelinux.org/svn/greptool/trunk@1 76169498-11ee-428b-941f-28d7a79d5cb2

14 files changed:
AUTHORS [new file with mode: 0644]
ChangeLog [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
NEWS [new file with mode: 0644]
README [new file with mode: 0644]
autogen.sh [new file with mode: 0755]
config.h.in [new file with mode: 0644]
configure.ac [new file with mode: 0644]
data/Makefile.am [new file with mode: 0644]
data/greptool/Makefile.am [new file with mode: 0644]
data/greptool/glade/Makefile.am [new file with mode: 0644]
data/greptool/glade/greptool.glade [new file with mode: 0644]
src/Makefile.am [new file with mode: 0644]
src/main.c [new file with mode: 0644]

diff --git a/AUTHORS b/AUTHORS
new file mode 100644 (file)
index 0000000..948556f
--- /dev/null
+++ b/AUTHORS
@@ -0,0 +1 @@
+Andrea Zagli <azagli@inwind.it>
diff --git a/ChangeLog b/ChangeLog
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..9768a98
--- /dev/null
@@ -0,0 +1 @@
+SUBDIRS = src data
diff --git a/NEWS b/NEWS
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/README b/README
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/autogen.sh b/autogen.sh
new file mode 100755 (executable)
index 0000000..5f5ae72
--- /dev/null
@@ -0,0 +1,70 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=greptool
+TEST_TYPE=-f
+FILE=configure.ac
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+       echo
+       echo "You must have autoconf installed to compile $PROJECT."
+       echo "Install the appropriate package for your distribution,"
+       echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+       DIE=1
+}
+
+if automake --version < /dev/null > /dev/null 2>&1 ; then
+    AUTOMAKE=automake
+    ACLOCAL=aclocal
+else
+       echo
+       echo "You must have automake 1.7.x installed to compile $PROJECT."
+       echo "Install the appropriate package for your distribution,"
+       echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+       DIE=1
+fi
+
+if test "$DIE" -eq 1; then
+       exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+       echo "You must run this script in the top-level $PROJECT directory"
+       exit 1
+}
+
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+        if test -z "$*"; then
+                echo "I am going to run ./configure with no arguments - if you wish "
+                echo "to pass any to it, please specify them on the $0 command line."
+        fi
+fi
+
+rm -rf autom4te.cache
+
+# README and INSTALL are required by automake, but may be deleted by clean
+# up rules. to get automake to work, simply touch these here, they will be
+# regenerated from their corresponding *.in files by ./configure anyway.
+touch README INSTALL
+
+$ACLOCAL || exit $?
+
+autoheader || exit $?
+
+$AUTOMAKE --add-missing || exit $?
+autoconf || exit $?
+cd $ORIGDIR || exit $?
+
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+        $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
+
+        echo 
+        echo "Now type 'make' to compile $PROJECT."
+fi
diff --git a/config.h.in b/config.h.in
new file mode 100644 (file)
index 0000000..c364eda
--- /dev/null
@@ -0,0 +1,22 @@
+/* config.h.in.  Generated from configure.ac by autoheader.  */
+
+/* Name of package */
+#undef PACKAGE
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* Version number of package */
+#undef VERSION
diff --git a/configure.ac b/configure.ac
new file mode 100644 (file)
index 0000000..55d0e65
--- /dev/null
@@ -0,0 +1,39 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ(2.61)
+AC_INIT([greptool], [0.0.1], [<azagli@inwind.it>])
+AC_CONFIG_SRCDIR([src/main.c])
+AC_CONFIG_HEADER([config.h])
+
+AM_INIT_AUTOMAKE
+AM_MAINTAINER_MODE
+
+AC_CANONICAL_SYSTEM
+
+# Checks for programs.
+AC_PROG_CC
+
+# Checks for libraries.
+PKG_CHECK_MODULES(GREPTOOL, [gtk+-2.0 >= 2.8.0
+                             libglade-2.0 >= 2.5.0
+                             libxml-2.0 >= 2.6.0])
+
+AC_SUBST(GREPTOOL_CFLAGS)
+AC_SUBST(GREPTOOL_LIBS)
+
+# Checks for header files.
+
+# Checks for typedefs, structures, and compiler characteristics.
+
+# Checks for library functions.
+
+AC_CONFIG_FILES([
+  Makefile
+  src/Makefile
+  data/Makefile
+  data/greptool/Makefile
+  data/greptool/glade/Makefile
+])
+
+AC_OUTPUT
diff --git a/data/Makefile.am b/data/Makefile.am
new file mode 100644 (file)
index 0000000..ca21f4e
--- /dev/null
@@ -0,0 +1 @@
+SUBDIRS = greptool
diff --git a/data/greptool/Makefile.am b/data/greptool/Makefile.am
new file mode 100644 (file)
index 0000000..21cc77b
--- /dev/null
@@ -0,0 +1 @@
+SUBDIRS = glade
diff --git a/data/greptool/glade/Makefile.am b/data/greptool/glade/Makefile.am
new file mode 100644 (file)
index 0000000..8b953bf
--- /dev/null
@@ -0,0 +1,5 @@
+gladedir = $(datadir)/greptool/glade
+
+glade_DATA = greptool.glade
+
+EXTRA_DIST = $(glade_DATA)
diff --git a/data/greptool/glade/greptool.glade b/data/greptool/glade/greptool.glade
new file mode 100644 (file)
index 0000000..f10393a
--- /dev/null
@@ -0,0 +1,716 @@
+<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
+<!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">
+
+<glade-interface>
+
+<widget class="GtkWindow" id="w_main">
+  <property name="visible">True</property>
+  <property name="title" translatable="yes">GRepTool</property>
+  <property name="type">GTK_WINDOW_TOPLEVEL</property>
+  <property name="window_position">GTK_WIN_POS_NONE</property>
+  <property name="modal">False</property>
+  <property name="resizable">True</property>
+  <property name="destroy_with_parent">False</property>
+  <property name="decorated">True</property>
+  <property name="skip_taskbar_hint">False</property>
+  <property name="skip_pager_hint">False</property>
+  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
+  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
+  <property name="focus_on_map">True</property>
+  <property name="urgency_hint">False</property>
+  <signal name="delete_event" handler="gtk_main_quit" last_modification_time="Wed, 25 Apr 2007 08:42:28 GMT"/>
+  <signal name="destroy" handler="gtk_main_quit" last_modification_time="Wed, 25 Apr 2007 08:42:51 GMT"/>
+
+  <child>
+    <widget class="GtkVBox" id="vbox1">
+      <property name="visible">True</property>
+      <property name="homogeneous">False</property>
+      <property name="spacing">0</property>
+
+      <child>
+       <widget class="GtkMenuBar" id="menubar1">
+         <property name="visible">True</property>
+         <property name="pack_direction">GTK_PACK_DIRECTION_LTR</property>
+         <property name="child_pack_direction">GTK_PACK_DIRECTION_LTR</property>
+
+         <child>
+           <widget class="GtkMenuItem" id="mnu_file">
+             <property name="visible">True</property>
+             <property name="label" translatable="yes">_File</property>
+             <property name="use_underline">True</property>
+
+             <child>
+               <widget class="GtkMenu" id="mnu_file_menu">
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_new">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-new</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_new_activate" last_modification_time="Mon, 02 Apr 2007 15:26:53 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_open">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-open</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_open_activate" last_modification_time="Mon, 02 Apr 2007 15:26:53 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_save">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-save</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_save_activate" last_modification_time="Mon, 02 Apr 2007 15:26:53 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_save_as">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-save-as</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_save_as_activate" last_modification_time="Mon, 02 Apr 2007 15:26:53 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_close">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-close</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_close_activate" last_modification_time="Sun, 22 Apr 2007 08:25:52 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkSeparatorMenuItem" id="separatormenuitem1">
+                     <property name="visible">True</property>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_file_quit">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-quit</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_file_quit_activate" last_modification_time="Mon, 02 Apr 2007 15:26:53 GMT"/>
+                   </widget>
+                 </child>
+               </widget>
+             </child>
+           </widget>
+         </child>
+
+         <child>
+           <widget class="GtkMenuItem" id="mnu_edit">
+             <property name="visible">True</property>
+             <property name="label" translatable="yes">_Edit</property>
+             <property name="use_underline">True</property>
+
+             <child>
+               <widget class="GtkMenu" id="mnu_edit_menu">
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_edit_cut">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-cut</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_edit_cut_activate" last_modification_time="Sun, 22 Apr 2007 08:12:34 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_edit_copy">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-copy</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_edit_copy_activate" last_modification_time="Sun, 22 Apr 2007 08:12:34 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_edit_paste">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-paste</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_edit_paste_activate" last_modification_time="Sun, 22 Apr 2007 08:12:34 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkImageMenuItem" id="mnu_edit_delete">
+                     <property name="visible">True</property>
+                     <property name="label">gtk-delete</property>
+                     <property name="use_stock">True</property>
+                     <signal name="activate" handler="on_mnu_edit_delete_activate" last_modification_time="Sun, 22 Apr 2007 08:12:34 GMT"/>
+                   </widget>
+                 </child>
+               </widget>
+             </child>
+           </widget>
+         </child>
+
+         <child>
+           <widget class="GtkMenuItem" id="mnu_view">
+             <property name="visible">True</property>
+             <property name="label" translatable="yes">_View</property>
+             <property name="use_underline">True</property>
+
+             <child>
+               <widget class="GtkMenu" id="mnu_view_menu">
+
+                 <child>
+                   <widget class="GtkMenuItem" id="mnu_view_report">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">_Report</property>
+                     <property name="use_underline">True</property>
+
+                     <child>
+                       <widget class="GtkMenu" id="mnu_view_report_menu">
+
+                         <child>
+                           <widget class="GtkCheckMenuItem" id="mnu_view_report_header">
+                             <property name="visible">True</property>
+                             <property name="label" translatable="yes">_Header</property>
+                             <property name="use_underline">True</property>
+                             <property name="active">False</property>
+                             <signal name="activate" handler="on_mnu_view_report_header_activate" last_modification_time="Sun, 22 Apr 2007 08:20:44 GMT"/>
+                           </widget>
+                         </child>
+
+                         <child>
+                           <widget class="GtkCheckMenuItem" id="mnu_view_report_footer">
+                             <property name="visible">True</property>
+                             <property name="label" translatable="yes">_Footer</property>
+                             <property name="use_underline">True</property>
+                             <property name="active">False</property>
+                             <signal name="activate" handler="on_mnu_view_report_footer_activate" last_modification_time="Sun, 22 Apr 2007 08:20:44 GMT"/>
+                           </widget>
+                         </child>
+                       </widget>
+                     </child>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkMenuItem" id="mnu_view_page">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">_Page</property>
+                     <property name="use_underline">True</property>
+                     <signal name="activate" handler="on_mnu_view_page_activate" last_modification_time="Sun, 22 Apr 2007 08:20:44 GMT"/>
+
+                     <child>
+                       <widget class="GtkMenu" id="mnu_view_page_menu">
+
+                         <child>
+                           <widget class="GtkCheckMenuItem" id="mnu_view_page_header">
+                             <property name="visible">True</property>
+                             <property name="label" translatable="yes">_Header</property>
+                             <property name="use_underline">True</property>
+                             <property name="active">False</property>
+                             <signal name="activate" handler="on_mnu_view_page_header_activate" last_modification_time="Sun, 22 Apr 2007 08:20:44 GMT"/>
+                           </widget>
+                         </child>
+
+                         <child>
+                           <widget class="GtkCheckMenuItem" id="mnu_view_page_footer">
+                             <property name="visible">True</property>
+                             <property name="label" translatable="yes">_Footer</property>
+                             <property name="use_underline">True</property>
+                             <property name="active">False</property>
+                             <signal name="activate" handler="on_mnu_view_page_footer_activate" last_modification_time="Sun, 22 Apr 2007 08:20:44 GMT"/>
+                           </widget>
+                         </child>
+                       </widget>
+                     </child>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkSeparatorMenuItem" id="separatore1">
+                     <property name="visible">True</property>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkCheckMenuItem" id="mnu_view_objects_toolbar">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">Objects _Toolbar</property>
+                     <property name="use_underline">True</property>
+                     <property name="active">False</property>
+                     <signal name="activate" handler="on_mnu_view_objects_toolbar_activate" last_modification_time="Wed, 25 Apr 2007 08:20:24 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkCheckMenuItem" id="mnu_view_objects_list">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">_Objects List</property>
+                     <property name="use_underline">True</property>
+                     <property name="active">False</property>
+                     <signal name="activate" handler="on_mnu_view_objects_list_activate" last_modification_time="Sun, 22 Apr 2007 08:12:34 GMT"/>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkSeparatorMenuItem" id="separatore2">
+                     <property name="visible">True</property>
+                   </widget>
+                 </child>
+
+                 <child>
+                   <widget class="GtkMenuItem" id="mnu_view_xml">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">_XML</property>
+                     <property name="use_underline">True</property>
+                     <signal name="activate" handler="on_mnu_view_xml_activate" last_modification_time="Wed, 25 Apr 2007 08:24:08 GMT"/>
+                   </widget>
+                 </child>
+               </widget>
+             </child>
+           </widget>
+         </child>
+
+         <child>
+           <widget class="GtkMenuItem" id="mnu_help">
+             <property name="visible">True</property>
+             <property name="label" translatable="yes">_Help</property>
+             <property name="use_underline">True</property>
+
+             <child>
+               <widget class="GtkMenu" id="mnu_help_menu">
+
+                 <child>
+                   <widget class="GtkMenuItem" id="informazioni1">
+                     <property name="visible">True</property>
+                     <property name="label" translatable="yes">I_nformazioni</property>
+                     <property name="use_underline">True</property>
+                     <signal name="activate" handler="on_informazioni1_activate" last_modification_time="Mon, 02 Apr 2007 15:21:09 GMT"/>
+                   </widget>
+                 </child>
+               </widget>
+             </child>
+           </widget>
+         </child>
+       </widget>
+       <packing>
+         <property name="padding">0</property>
+         <property name="expand">False</property>
+         <property name="fill">False</property>
+       </packing>
+      </child>
+
+      <child>
+       <widget class="GtkHandleBox" id="handlebox1">
+         <property name="visible">True</property>
+         <property name="shadow_type">GTK_SHADOW_OUT</property>
+         <property name="handle_position">GTK_POS_LEFT</property>
+         <property name="snap_edge">GTK_POS_TOP</property>
+
+         <child>
+           <widget class="GtkToolbar" id="toolbar1">
+             <property name="visible">True</property>
+             <property name="orientation">GTK_ORIENTATION_HORIZONTAL</property>
+             <property name="toolbar_style">GTK_TOOLBAR_ICONS</property>
+             <property name="tooltips">True</property>
+             <property name="show_arrow">True</property>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_new">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new report</property>
+                 <property name="stock_id">gtk-new</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_open">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Open an existing report</property>
+                 <property name="stock_id">gtk-open</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_save">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Save the current report</property>
+                 <property name="stock_id">gtk-save</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkSeparatorToolItem" id="separatortoolitem1">
+                 <property name="visible">True</property>
+                 <property name="draw">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">False</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_cut">
+                 <property name="visible">True</property>
+                 <property name="stock_id">gtk-cut</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_copy">
+                 <property name="visible">True</property>
+                 <property name="stock_id">gtk-copy</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkToolButton" id="tbtn_paste">
+                 <property name="visible">True</property>
+                 <property name="stock_id">gtk-paste</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+           </widget>
+         </child>
+       </widget>
+       <packing>
+         <property name="padding">0</property>
+         <property name="expand">False</property>
+         <property name="fill">True</property>
+       </packing>
+      </child>
+
+      <child>
+       <widget class="GtkHandleBox" id="handlebox2">
+         <property name="visible">True</property>
+         <property name="shadow_type">GTK_SHADOW_OUT</property>
+         <property name="handle_position">GTK_POS_LEFT</property>
+         <property name="snap_edge">GTK_POS_TOP</property>
+
+         <child>
+           <widget class="GtkToolbar" id="toolbar2">
+             <property name="visible">True</property>
+             <property name="orientation">GTK_ORIENTATION_HORIZONTAL</property>
+             <property name="toolbar_style">GTK_TOOLBAR_ICONS</property>
+             <property name="tooltips">True</property>
+             <property name="show_arrow">True</property>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_select">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Objects selector</property>
+                 <property name="label" translatable="yes">Selector</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkSeparatorToolItem" id="separatortoolitem2">
+                 <property name="visible">True</property>
+                 <property name="draw">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">False</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_text">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new text object</property>
+                 <property name="label" translatable="yes">Text</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+                 <property name="group">rtbtn_select</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_line">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new line object</property>
+                 <property name="label" translatable="yes">Line</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+                 <property name="group">rtbtn_select</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_rect">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new rectangle object</property>
+                 <property name="label" translatable="yes">Rectangle</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+                 <property name="group">rtbtn_select</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_ellipse">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new ellipse object</property>
+                 <property name="label" translatable="yes">Ellipse</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+                 <property name="group">rtbtn_select</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+
+             <child>
+               <widget class="GtkRadioToolButton" id="rtbtn_image">
+                 <property name="visible">True</property>
+                 <property name="tooltip" translatable="yes">Creates a new image object</property>
+                 <property name="label" translatable="yes">Image</property>
+                 <property name="use_underline">True</property>
+                 <property name="visible_horizontal">True</property>
+                 <property name="visible_vertical">True</property>
+                 <property name="is_important">False</property>
+                 <property name="active">False</property>
+                 <property name="group">rtbtn_select</property>
+               </widget>
+               <packing>
+                 <property name="expand">False</property>
+                 <property name="homogeneous">True</property>
+               </packing>
+             </child>
+           </widget>
+         </child>
+       </widget>
+       <packing>
+         <property name="padding">0</property>
+         <property name="expand">False</property>
+         <property name="fill">True</property>
+       </packing>
+      </child>
+
+      <child>
+       <widget class="GtkHPaned" id="hpaned1">
+         <property name="visible">True</property>
+         <property name="can_focus">True</property>
+         <property name="position">0</property>
+
+         <child>
+           <placeholder/>
+         </child>
+
+         <child>
+           <widget class="GtkNotebook" id="notebook1">
+             <property name="visible">True</property>
+             <property name="can_focus">True</property>
+             <property name="show_tabs">True</property>
+             <property name="show_border">True</property>
+             <property name="tab_pos">GTK_POS_TOP</property>
+             <property name="scrollable">True</property>
+             <property name="enable_popup">False</property>
+
+             <child>
+               <placeholder/>
+             </child>
+
+             <child>
+               <widget class="GtkLabel" id="label1">
+                 <property name="visible">True</property>
+                 <property name="label" translatable="yes">label1</property>
+                 <property name="use_underline">False</property>
+                 <property name="use_markup">False</property>
+                 <property name="justify">GTK_JUSTIFY_LEFT</property>
+                 <property name="wrap">False</property>
+                 <property name="selectable">False</property>
+                 <property name="xalign">0.5</property>
+                 <property name="yalign">0.5</property>
+                 <property name="xpad">0</property>
+                 <property name="ypad">0</property>
+                 <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+                 <property name="width_chars">-1</property>
+                 <property name="single_line_mode">False</property>
+                 <property name="angle">0</property>
+               </widget>
+               <packing>
+                 <property name="type">tab</property>
+               </packing>
+             </child>
+
+             <child>
+               <placeholder/>
+             </child>
+
+             <child>
+               <widget class="GtkLabel" id="label2">
+                 <property name="visible">True</property>
+                 <property name="label" translatable="yes">label2</property>
+                 <property name="use_underline">False</property>
+                 <property name="use_markup">False</property>
+                 <property name="justify">GTK_JUSTIFY_LEFT</property>
+                 <property name="wrap">False</property>
+                 <property name="selectable">False</property>
+                 <property name="xalign">0.5</property>
+                 <property name="yalign">0.5</property>
+                 <property name="xpad">0</property>
+                 <property name="ypad">0</property>
+                 <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+                 <property name="width_chars">-1</property>
+                 <property name="single_line_mode">False</property>
+                 <property name="angle">0</property>
+               </widget>
+               <packing>
+                 <property name="type">tab</property>
+               </packing>
+             </child>
+
+             <child>
+               <placeholder/>
+             </child>
+
+             <child>
+               <widget class="GtkLabel" id="label3">
+                 <property name="visible">True</property>
+                 <property name="label" translatable="yes">label3</property>
+                 <property name="use_underline">False</property>
+                 <property name="use_markup">False</property>
+                 <property name="justify">GTK_JUSTIFY_LEFT</property>
+                 <property name="wrap">False</property>
+                 <property name="selectable">False</property>
+                 <property name="xalign">0.5</property>
+                 <property name="yalign">0.5</property>
+                 <property name="xpad">0</property>
+                 <property name="ypad">0</property>
+                 <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+                 <property name="width_chars">-1</property>
+                 <property name="single_line_mode">False</property>
+                 <property name="angle">0</property>
+               </widget>
+               <packing>
+                 <property name="type">tab</property>
+               </packing>
+             </child>
+           </widget>
+           <packing>
+             <property name="shrink">True</property>
+             <property name="resize">True</property>
+           </packing>
+         </child>
+       </widget>
+       <packing>
+         <property name="padding">0</property>
+         <property name="expand">True</property>
+         <property name="fill">True</property>
+       </packing>
+      </child>
+
+      <child>
+       <widget class="GtkStatusbar" id="statusbar1">
+         <property name="visible">True</property>
+         <property name="has_resize_grip">True</property>
+       </widget>
+       <packing>
+         <property name="padding">0</property>
+         <property name="expand">False</property>
+         <property name="fill">False</property>
+       </packing>
+      </child>
+    </widget>
+  </child>
+</widget>
+
+<widget class="GtkAboutDialog" id="diag_about">
+  <property name="visible">True</property>
+  <property name="destroy_with_parent">True</property>
+  <property name="name" translatable="yes">greptool</property>
+  <property name="copyright" translatable="yes">Copyright (C) 2007 Andrea Zagli</property>
+  <property name="comments" translatable="yes">Creates and manages reptool report's definition files</property>
+  <property name="wrap_license">False</property>
+  <property name="authors">Andrea Zagli &lt;azagli@inwind.it&gt;</property>
+  <property name="translator_credits" translatable="yes" comments="TRANSLATORS: Replace this string with your names, one name per line.">translator-credits</property>
+</widget>
+
+</glade-interface>
diff --git a/src/Makefile.am b/src/Makefile.am
new file mode 100644 (file)
index 0000000..630bfc7
--- /dev/null
@@ -0,0 +1,11 @@
+gladedir = $(datadir)/greptool/glade
+
+AM_CPPFLAGS = $(GREPTOOL_CFLAGS) \
+              -DGLADEDIR=\""$(gladedir)"\"
+
+LIBS = $(GREPTOOL_LIBS) \
+       -export-dynamic
+
+bin_PROGRAMS = greptool
+
+greptool_SOURCES = main.c
diff --git a/src/main.c b/src/main.c
new file mode 100644 (file)
index 0000000..47db35c
--- /dev/null
@@ -0,0 +1,39 @@
+/*
+ * Copyright (C) 2007 Andrea Zagli <azagli@inwind.it>
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
+#include <gtk/gtk.h>
+#include <glade/glade.h>
+
+GtkWidget *w;
+
+int
+main (int argc, char **argv)
+{
+       GladeXML *glaMain;
+
+       gtk_init (&argc, &argv);
+
+       glaMain = glade_xml_new (GLADEDIR "/greptool.glade", "w_main", NULL);
+       glade_xml_signal_autoconnect (glaMain);
+
+       w = glade_xml_get_widget (glaMain, "w_main");
+
+       gtk_main ();
+
+       return 0;
+}